using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BigEnemySpawner : MonoBehaviour{
    
    public string ObjectToSpawn;
    Vector2 whereToSpawn;
    GameController gameController;
    float nextSpawn;
    float spawnRate;

    void Start(){
        gameController = FindObjectOfType<GameController>();
        spawnRate = gameController.actualBigEnemySpawnRate;
    }

    // Update is called once per frame
    void Update(){
        spawnRate = gameController.actualBigEnemySpawnRate;
        if (Time.time > nextSpawn){
            nextSpawn = Time.time + spawnRate;
            float xPos = Random.Range(gameController.minSpawnPos.x, gameController.maxSpawnPos.x);
            float yPos = Random.Range(gameController.minSpawnPos.y, gameController.maxSpawnPos.y);
            whereToSpawn = new Vector2(xPos, yPos);
            ObjectPooler.Instance.SpawnFromPool(ObjectToSpawn, whereToSpawn, Quaternion.identity);
        }
    }
}
